﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamDataGridSearchEngine
{    
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
        private SearchBar searchBar = new SearchBar() { Visibility = Visibility.Visible };

		public MainWindow()
		{
			this.InitializeComponent();
            xamDataGrid1.DataSource = new LibraryBusinessLogic().Categories;
		}

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Grid grid = Utilities.GetDescendantFromType(this.xamDataGrid1, typeof(Grid), false) as Grid;
            Grid dynamicGrid = new Grid();

            RowDefinition gridRow1 = new RowDefinition { Height = new GridLength(1, GridUnitType.Auto) };
            dynamicGrid.RowDefinitions.Add(gridRow1);            
            Grid.SetRow(this.searchBar, 0);
            dynamicGrid.Children.Add(this.searchBar);
            grid.Children.Add(dynamicGrid);
        }



	}
}